def lunar_arithmetic(a, b):
    # Приводим числа к строковому виду для обработки поразрядно
    a_str = str(a)
    b_str = str(b)

    # Выравниваем длины строк
    max_length = max(len(a_str), len(b_str))
    a_str = a_str.zfill(max_length)
    b_str = b_str.zfill(max_length)

    # Инициализируем результаты
    lunar_sum = []
    lunar_product = []

    # Проходим по каждому разряду
    for digit_a, digit_b in zip(a_str, b_str):
        # Применяем лунные операции
        lunar_sum.append(str(max(int(digit_a), int(digit_b))))
        lunar_product.append(str(min(int(digit_a), int(digit_b))))

    # Объединяем результаты в строки
    return ''.join(lunar_sum), ''.join(lunar_product)

# Чтение входных данных
a = input().strip()
b = input().strip()

# Вычисление лунной суммы и произведения
result_sum, result_product = lunar_arithmetic(a, b)

# Вывод результата
print(result_sum)
print(result_product)
